Loading...
Searching...
No Matches
_snd_ump_msg_midi2_per_note_pitchbend Struct Reference

`#include <ump_msg.h>`

## Data Fields

uint8_t | reserved
uint8_t | note
uint8_t | channel:4
uint8_t | status:4
uint8_t | group:4
uint8_t | type:4
uint32_t | data

## Detailed Description

MIDI 2.0 Per-Note Pitch Bend (64bit)

## Field Documentation

## channel

uint8_t _snd_ump_msg_midi2_per_note_pitchbend::channel

Channel

## data

uint32_t _snd_ump_msg_midi2_per_note_pitchbend::data

Data (32bit)

## group

uint8_t _snd_ump_msg_midi2_per_note_pitchbend::group

UMP Group

## note

uint8_t _snd_ump_msg_midi2_per_note_pitchbend::note

Note (7bit)

## reserved

uint8_t _snd_ump_msg_midi2_per_note_pitchbend::reserved

Unused

## status

uint8_t _snd_ump_msg_midi2_per_note_pitchbend::status

Status

## type

uint8_t _snd_ump_msg_midi2_per_note_pitchbend::type

UMP packet type

The documentation for this struct was generated from the following file:

- /build/alsa-lib-5UW3AQ/alsa-lib-1.2.15.3/include/ump_msg.h